3 Replies Latest reply on Jan 27, 2007 7:37 AM by Volkan Flörchinger

    Installation Problems

    Volkan Flörchinger Newbie

      Hello,

      i'm trying to install jboss to run opencrx. The problem is when I run ./run.sh i get this error:

      run.sh: Missing required file: /opt/jboss/system/src/bin/run.jar

      I also tried
      # java -jar jems-installer-1.2.0.GA.jar

      giving me this output:

      PackageListener, install.log=/tmp/jems-install.log
      Exception in thread "main" java.awt.AWTError: Cannot load AWT toolkit: gnu.java.awt.peer.gtk.GtkToolkit
      at java.awt.Toolkit.getDefaultToolkit(libgcj.so.7)
      at java.awt.Font.tk(libgcj.so.7)
      at java.awt.Font.getPeerFromToolkit(libgcj.so.7)
      at java.awt.Font.(libgcj.so.7)
      at javax.swing.plaf.FontUIResource.(libgcj.so.7)
      at javax.swing.plaf.metal.DefaultMetalTheme.(libgcj.so.7)
      at java.lang.Class.initializeClass(libgcj.so.7)
      at javax.swing.plaf.metal.MetalLookAndFeel.createDefaultTheme(libgcj.so.7)
      at javax.swing.plaf.metal.MetalLookAndFeel.(libgcj.so.7)
      at javax.swing.UIManager.(libgcj.so.7)
      at java.lang.Class.initializeClass(libgcj.so.7)
      at com.izforge.izpack.installer.GUIInstaller.loadLookAndFeel(GUIInstaller.java:299)
      at com.izforge.izpack.installer.GUIInstaller.(GUIInstaller.java:119)
      at java.lang.Class.newInstance(libgcj.so.7)
      at com.izforge.izpack.installer.Installer.main(Installer.java:63)
      Caused by: java.lang.ClassNotFoundException: gnu.java.awt.peer.gtk.GtkToolkit
      at java.lang.Class.forName(libgcj.so.7)
      at java.lang.Class.forName(libgcj.so.7)
      at java.awt.Toolkit.getDefaultToolkit(libgcj.so.7)
      ...14 more

      jems-install log is empty....


      JBoss Environment is set to:

      JBOSS_HOME: /opt/jboss/system/src

      JAVA: /usr/bin/java

      JAVA_OPTS: -Dprogram.name=run.sh -Xms128m -Xmx512m -Dorg.jboss.resolver.warning=true -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000

      CLASSPATH: /opt/jboss/system/src/bin/run.jar:/usr/lib/jvm/java-1.5.0-sun-1.5.0.06/lib/tools.jar

      I'm running ubuntu 606... Anyone who knows what the problem could be?

      Thank you!

      Volkan

        • 1. Re: Installation Problems
          Elias Ross Master

          Your "java" may not be the Sun JDK. What does java -version say?

          • 2. Re: Installation Problems
            Volkan Flörchinger Newbie

            You were right... I think i fixed java but i still get the same error....

            Java -version now says:

            java version "1.5.0_06"
            Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
            Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)

            before it was:
            java version "1.4.2"
            gij (GNU libgcj) version 4.1.0 (Ubuntu 4.1.0-1ubuntu8)

            Volkan



            JBoss Bootstrap Environment

            JBOSS_HOME: /opt/jboss/system/src

            JAVA: /usr/lib/jvm/java-1.5.0-sun-1.5.0.06/bin/java

            JAVA_OPTS: -Dprogram.name=run.sh -server -Xms128m -Xmx512m -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000

            CLASSPATH: /opt/jboss/system/src/bin/run.jar:/usr/lib/jvm/java-1.5.0-sun-1.5.0.06/lib/tools.jar

            • 3. Re: Installation Problems
              Volkan Flörchinger Newbie

              Does anyone has an advice for me? Otherwise i will move/link the thread to Installation, Configuration & Deployment... The installation of jboss has no priority but I really would like to know what's miss with my installation...

              #run.sh still says:

              run.sh: Missing required file: /opt/jboss/system/src/bin/run.jar

              Regards Volkan